Skip to main content
GET
/
orgs
/
{orgId}
/
orders
Lists orders with pagination and filtering
curl --request GET \
  --url https://api.zippendo.com/orgs/{orgId}/orders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "orderNumber": "<string>",
      "status": "pending",
      "shipmentCount": 4503599627370495,
      "orderChannel": {
        "id": "<string>",
        "name": "<string>",
        "type": "shopify"
      },
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "customerName": "<string>",
      "customerEmail": "<string>",
      "totalAmount": 123,
      "currency": "<string>"
    }
  ],
  "total": 123,
  "page": 123,
  "limit": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Path Parameters

orgId
string
required

Organization ID

Query Parameters

page
integer
default:1
Required range: 1 <= x <= 9007199254740991
limit
integer
default:20
Required range: 1 <= x <= 100
status
enum<string>
Available options:
pending,
processing,
partially_fulfilled,
fulfilled,
error,
cancelled
orderChannelId
string

Response

Default Response

data
object[]
required
total
number
required
page
number
required
limit
number
required
totalPages
number
required